# slxos_facts – Collect facts from devices running Extreme SLX-OS

New in version 2.6.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Collects a base set of device facts from a remote device that is running SLX-OS. This module prepends all of the base network fact keys with `ansible_net_<fact>`. The facts module will always collect a base set of facts from the device and can enable or disable collection of additional facts.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
gather_subset - | Default: ["!config"] | When supplied, this argument will restrict the facts collected to a given subset. Possible values for this argument include all, hardware, config, and interfaces. Can specify a list of values to include a larger subset. Values can also be used with an initial `!` to specify that a specific subset should not be collected.

## Notes

Note

- Tested against SLX-OS 17s.1.02

## Examples

    # Collect all facts from the device
    - slxos_facts:
        gather_subset: all

    # Collect only the config and default facts
    - slxos_facts:
        gather_subset:
          - config

    # Do not collect hardware facts
    - slxos_facts:
        gather_subset:
          - "!hardware"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
ansible_net_all_ipv4_addresses list | when interfaces is configured | All IPv4 addresses configured on the device
ansible_net_all_ipv6_addresses list | when interfaces is configured | All Primary IPv6 addresses configured on the device
ansible_net_config string | when config is configured | The current active config from the device
ansible_net_gather_subset list | always | The list of fact subsets collected from the device
ansible_net_hostname string | always | The configured hostname of the device
ansible_net_interfaces dictionary | when interfaces is configured | A hash of all interfaces running on the system
ansible_net_memfree_mb integer | when hardware is configured | The available free memory on the remote device in Mb
ansible_net_memtotal_mb integer | when hardware is configured | The total memory on the remote device in Mb
ansible_net_model string | always | The model name returned from the device
ansible_net_neighbors dictionary | when interfaces is configured | The list of LLDP neighbors from the remote device
ansible_net_serialnum string | always | The serial number of the remote device
ansible_net_version string | always | The operating system version running on the remote device

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Lindsay Hill (@LindsayHill)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.